# OnnxRuntime: Ort::CustomOpDomain Struct Reference

Loading...
Searching...
No Matches
Ort::CustomOpDomain Struct Reference

Custom Op Domain. More...

`#include <onnxruntime_cxx_api.h>`

Inheritance diagram for Ort::CustomOpDomain:

## Public Member Functions

| CustomOpDomain (std::nullptr_t)
| Create an empty CustomOpDomain object, must be assigned a valid one to be used.
| CustomOpDomain (const char *domain)
| Wraps OrtApi::CreateCustomOpDomain.
void | Add (const OrtCustomOp *op)
| Wraps CustomOpDomain_Add.
Public Member Functions inherited from Ort::detail::Base< OrtCustomOpDomain >
constexpr | Base ()=default
constexpr | Base (contained_type *p) noexcept
| Base (const Base &)=delete
| Base (Base &&v) noexcept
| ~Base ()
Base & | operator= (const Base &)=delete
Base & | operator= (Base &&v) noexcept
constexpr | operator contained_type * () const noexcept
contained_type * | release ()
| Relinquishes ownership of the contained C object pointer The underlying object is not destroyed.

## Additional Inherited Members

Public Types inherited from Ort::detail::Base< OrtCustomOpDomain >
using | contained_type = OrtCustomOpDomain
Protected Attributes inherited from Ort::detail::Base< OrtCustomOpDomain >
contained_type * | p_

## Detailed Description

Custom Op Domain.

## Constructor & Destructor Documentation

## CustomOpDomain() [1/2]

Ort::CustomOpDomain::CustomOpDomain | ( | std::nullptr_t |  | ) |

inlineexplicit

Create an empty CustomOpDomain object, must be assigned a valid one to be used.

## CustomOpDomain() [2/2]

Ort::CustomOpDomain::CustomOpDomain | ( | const char * | domain | ) |

explicit

Wraps OrtApi::CreateCustomOpDomain.

## Member Function Documentation

## Add()

void Ort::CustomOpDomain::Add | ( | const OrtCustomOp * | op | ) |

Wraps CustomOpDomain_Add.